{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'DatatourismeWebAppBundle::modal.html.twig' %}
{% block title %}
    {{ action | capitalize }} {{ flux.name }}
{% endblock %}

{% block modal_class %}
    {% if level %}modal-{{ level }}{% endif %}
{% endblock %}

{% block btn_validate_class %}
    {% if level %}btn-{{ level }}{% endif %}
{% endblock %}

{% block btn_validate_label %}
    {{ action | capitalize }}
{% endblock %}

{% block body %}
    <form method="post" action="{{ app.request.pathinfo }}">
        <p>Êtes-vous sûr de vouloir {{ action }} {{ flux.name }} ?</p>
        {% if form != false %}
            {% form_theme form 'DatatourismeWebAppBundle:Form:bootstrap_3_layout.html.twig' %}
            {{ form_errors(form) }}
            {{ form_rest(form) }}
        {% endif %}
    </form>
{% endblock %}